Varbase Application Installation and Setup Requirements

No hardware? No problem! Try using Varbase in the Cloud.
No installation required, request your access in 5 mins.
With an option to migrate to your own server later


Client-side requirements

Component Description
Browser A browser with ability to fully execute JavaScript from Varbase to access its full functionality.

Server-side requirements for evaluation or development

The below requirements outline the minimum needed requirements. If you need help sizing your server, please contact us at https://www.vardot.com/contact-us for consultation.

  • Disk space: Minimum 300MB for codebase, 5GB for files, and 1GB for database (Will greatly depend on your application data and usage).
  • Memory: Minimum of 2GB (for 1 host).
  • CPU: Minimum of 2 CPUs is recommended (for 1 host).
Component Description
PHP
  • PHP version 5.6 or higher. PHP 7 is recommended.
  • PHP extensions: mysqli (for MySQL), pgsql (for PostgreSQL), xml, gd, openssl, json, curl, mbstring, date, dom, filter, hash, pcre, pdo, session, SimpleXML, SPL, tokenizer, mcrypt
Applications
  • Composer
  • Drush 9 or higher
  • Git
Web Server Varbase works on any web server with PHP version of 5.6 or higher.
  • Apache 2.x (recommended)
  • Nginx
  • Microsoft IIS
mod_rewrite is required if you use Apache.
ngx_http_rewrite_module if you use Nginx.
Database Engine Varbase works on any multiple database engines:
  • MySQL (or an equivalent such as MariaDB or Percona Server) (recommended)
  • PostgreSQL 9.1.2 or higher
  • SQLite 3.6.8 or higher

Server-side requirements for production

To deploy and run Varbase your web server must meet certain minimum requirements. We recommend sizing your application and considering your database size, files data, and expected traffic.

Your servers' requirements will greatly be impacted by the usage of your application. For example, if you have more logged-in users that anonymous users, you will need to consider higher requirements to serve non-cached requests.

If you need help sizing your server, please contact us at https://www.vardot.com/contact-us for consultation.

Component Description
PHP
  • PHP version 5.6 or higher. PHP 7 is recommended.
  • PHP extensions: mysqli (for MySQL), pgsql (for PostgreSQL), xml, gd, openssl, json, curl, mbstring, date, dom, filter, hash, pcre, pdo, session, SimpleXML, SPL, tokenizer, mcrypt
Applications
  • Composer
  • Drush 9 or higher
  • Git
Web Server Varbase works on any web server with PHP version of 5.6 or higher.
  • Apache 2.x (recommended)
  • Nginx
  • Microsoft IIS
mod_rewrite is required if you use Apache.
ngx_http_rewrite_module if you use Nginx.
Database Engine Varbase works on any multiple database engines:
  • MySQL (or an equivalent such as MariaDB or Percona Server) (recommended)
  • PostgreSQL 9.1.2 or higher
Component Description
Memcache
  • Memcached server daemon
  • PECL Memcache or PHP Memcached libraries
Varnish Varnish cache, an advanced and very fast reverse-proxy system.
Component Description
Solr Search Solr search server. Versions 4.x, 5.x or 6.x are all compatible.

results matching ""

    No results matching ""